/* 
Home page
*/

.home-gradient {
  /* background: linear-gradient(180deg, rgba(125, 35, 130, 0) 0%, rgba(125, 35, 130, 0.8) 3%, rgb(240, 130, 30) 18%, rgb(245, 180, 224) 35%, rgb(130, 200, 240) 55%, rgb(30, 70, 140) 75%, rgb(48, 170, 75) 100%); */

  background: linear-gradient(
    180deg,
    rgba(125, 35, 130, 0) 0%,
    rgba(125, 35, 130, 0) 2%,
    rgba(125, 35, 130, 0.8) 6%,
    rgba(125, 35, 130) 8%,
    rgb(240, 130, 30) 20%,
    rgb(245, 180, 224) 45%,
    rgb(130, 200, 240) 55%,
    rgb(30, 70, 140) 75%,
    rgb(48, 170, 75) 100%
  );
}

.temps-link a:hover {
  opacity: 0.5;
}

/* 
Filmtopia TV
*/
.filmtopia-video-carousel {
  position: relative;
  background-color: #000;
  color: #fff;
  padding: 24px;
  margin-top: 200px;
  max-width: 1030px;
  margin: 0 auto;
}

.filmtopia-video-carousel .carousel-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 2rem;
  padding: 0 1.5rem;
}

.swiper.filmtopia-video-swiper {
  overflow: hidden;
}

.swiper.filmtopia-video-swiper .swiper-wrapper {
  margin: 0;
}

.swiper.filmtopia-video-swiper .swiper-slide.swiper-slide-active {
  opacity: 1;
}

/* Slide Content */
.filmtopia-video-carousel .slide-content {
  display: grid;
  gap: 2rem;
  align-items: center;
}

/* Video Container */
.filmtopia-video-carousel .video-container {
  position: relative;
  aspect-ratio: 16 / 9;
  overflow: hidden;
  border-radius: 0.75rem;
  background: #000;
  opacity: 1 !important;
}

.filmtopia-video-carousel .poster-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  opacity: 1;
  transition: opacity 0.3s ease;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1;
}

/* .swiper.filmtopia-video-swiper .swiper-slide-active .poster-image {
  opacity: 0;
  pointer-events: none;
} */

.filmtopia-video-carousel .play-overlay {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgba(0, 0, 0, 0.3);
  transition: all 0.3s ease;
}

.filmtopia-video-carousel .poster-image:hover .play-overlay {
  background: rgba(0, 0, 0, 0.5);
}

.filmtopia-video-carousel .slide-video {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  z-index: 2;
  border: none;
}

/* Slide Info */
.filmtopia-video-carousel .slide-info {
  display: flex;
  flex-direction: row;
  gap: 24px;
  width: 60%;
  max-width: 630px;
}

.filmtopia-video-carousel .slide-description {
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.filmtopia-video-carousel .top-section {
  display: flex;
  flex-flow: row;
  gap: 24px;
  margin-bottom: 24px;
  justify-content: space-between;
}

.filmtopia-video-carousel .top-section p {
  text-align: right;
  font-size: 18px;
  line-height: 125%;
}

.filmtopia-video-carousel .bottom-section {
  display: flex;
  flex-flow: column;
}

.filmtopia-video-carousel .small-button {
  font-size: 17px;
  color: #000;
  padding: 6px 14px;
}

/* .filmtopia-video-carousel .video-badge {
  display: inline-block;
  padding: 0.4rem 0.8rem;
  background: var(--primary-color);
  color: #fff;
  font-size: 0.75rem;
  font-weight: 600;
  letter-spacing: 0.05em;
} */

.filmtopia-video-carousel .slide-text-content {
  color: #fff;
  display: flex;
  flex-flow: column;
  gap: 12px;
}

/* .filmtopia-video-carousel .slide-text-content:hover {
  color: inherit;
} */

.filmtopia-video-carousel .swiper-arrows-cont {
  position: absolute;
  bottom: 0;
  right: 0;
  display: flex;
  flex-direction: row;
  gap: 12px;
  justify-content: flex-end;
}

/* Navigation Buttons */
.swiper.filmtopia-video-swiper .swiper-button-prev,
.swiper.filmtopia-video-swiper .swiper-button-next {
  position: static !important;
  transform: none !important;
  height: 103px;
  width: 160px;
}
.swiper.filmtopia-video-swiper .swiper-button-prev:hover,
.swiper.filmtopia-video-swiper .swiper-button-next:hover {
  opacity: 0.5;
}

.swiper.filmtopia-video-swiper .swiper-button-prev img,
.swiper.filmtopia-video-swiper .swiper-button-next img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  display: block;
}

.swiper.filmtopia-video-swiper .swiper-button-prev::after,
.swiper.filmtopia-video-swiper .swiper-button-next::after {
  content: "";
}

/* Responsive */
@media (max-width: 1440px) {
  .filmtopia-video-carousel {
    max-width: 800px;
  }

  .filmtopia-video-carousel .slide-info {
    max-width: 450px;
  }

  /* Navigation Buttons */
  .swiper.filmtopia-video-swiper .swiper-button-prev,
  .swiper.filmtopia-video-swiper .swiper-button-next {
    height: auto;
    width: 40%;
  }

  .filmtopia-video-carousel h4 {
    font-size: 18px;
    line-height: 20px;
  }
}

/* Responsive */
@media (max-width: 1025px) {
  .filmtopia-video-carousel {
    max-width: 600px;
  }

  .filmtopia-video-carousel .slide-info {
    max-width: 350px;
  }
  .filmtopia-video-carousel .top-section p {
    font-size: 16px;
  }

  /* Navigation Buttons */
  .swiper.filmtopia-video-swiper .swiper-button-prev,
  .swiper.filmtopia-video-swiper .swiper-button-next {
    width: 30%;
  }
}

@media (max-width: 768px) {
  .filmtopia-video-carousel {
    padding: 15px;
    margin-top: 80px;
  }

  .filmtopia-video-carousel .top-section {
    flex-flow: column;
    gap: 10px;
    margin-bottom: 24px;
  }

  .filmtopia-video-carousel .top-section p {
    text-align: left;
    font-size: 16px;
  }

  .filmtopia-video-carousel .slide-info {
    flex-direction: column;
    gap: 24px;
    width: 100%;
  }

  .filmtopia-video-carousel .small-button {
    font-size: 16px;
    color: #000;
    padding: 4px 10px;
  }

  .filmtopia-video-carousel .swiper-arrows-cont {
    position: relative;
    /* justify-content: flex-end; */
    margin-top: 40px;
    height: auto;
  }

  /* Navigation Buttons */
  .swiper.filmtopia-video-swiper .swiper-button-prev,
  .swiper.filmtopia-video-swiper .swiper-button-next {
    height: auto;
    width: 30%;
  }
}
